LibOFX: OfxBalanceContainer Class Reference

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

# OfxBalanceContainer Class Reference

Inheritance diagram for OfxBalanceContainer:

## Detailed Description

Represents the <BALANCE> OFX SGML entity.

OfxBalanceContainer is an auxiliary container (there is no matching data object in libofx.h)

Definition at line 106 of file ofx_containers.hh.

## Public Member Functions
| OfxBalanceContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
| ~OfxBalanceContainer ()
void | add_attribute (const string identifier, const string value)
| Add data to a container object.
| OfxBalanceContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.
## Data Fields
double | amount
int | amount_valid
time_t | date
int | date_valid

## Member Function Documentation

void OfxBalanceContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) | `[virtual]`

  | Add data to a container object. Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. Parameters:
  | identifier | The name of the data element
  | value | The concatenated string of the data
Reimplemented from OfxGenericContainer.

void OfxBalanceContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) | `[virtual]`

  | Add data to a container object. Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. Parameters:
  | identifier | The name of the data element
  | value | The concatenated string of the data
Reimplemented from OfxGenericContainer. Definition at line 156 of file ofx_containers_misc.cpp.

## Field Documentation

double OfxBalanceContainer::amount

| Interpretation depends on balance_type Definition at line 112 of file ofx_containers.hh. Referenced by add_attribute(), and OfxStatementContainer::add_balance().

time_t OfxBalanceContainer::date

| Effective date of the given balance Definition at line 114 of file ofx_containers.hh. Referenced by add_attribute().

The documentation for this class was generated from the following files:

- ofx_containers.hh
- fx-0.8.2/lib/ofx_containers.hh
- ofx_containers_misc.cpp
- fx-0.8.2/lib/ofx_containers_misc.cpp